/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Program2;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.assertEquals;

import java.math.BigInteger;

class AppTest {
    @Test void factorial() {

        BigInteger num = Factorial.factorial(10);
        BigInteger dispersionTnum = BigInteger.valueOf(3628800);

        assertEquals(dispersionTnum, num);
    }

    @Test void Rec() {
        BigInteger numRec = FactorialRec.Rec(5);
        BigInteger dispersionTnumm = BigInteger.valueOf(120);
        assertEquals(dispersionTnumm, numRec);
    }
}
